> This page is for API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eon.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eon.io/_mcp/server.

# Delete Backup Posture Control

DELETE https://%7Baccount-domain%7D.console.eon.io/api/v1/projects/{projectId}/backup-posture-controls/{controlId}

Deletes a backup posture control.


Reference: https://docs.eon.io/api/api-reference/backup-management/backup-posture-controls/delete-backup-posture-control

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required) — ID of the project whose backup posture control you want to delete. You can get your project ID from the [API Credentials](https://console.eon.io/global-management/api-credentials) page in your global management console.
- `controlId` (string, required) — ID of the backup posture control to delete.

## Response

### 200

Backup posture control deleted.

## Errors

### 404 Not Found Error

Backup posture control wasn't found.

- `any`

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://{account-domain}.console.eon.io/api/v1/projects/projectId/backup-posture-controls/controlId"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{account-domain}.console.eon.io/api/v1/projects/projectId/backup-posture-controls/controlId';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://{account-domain}.console.eon.io/api/v1/projects/projectId/backup-posture-controls/controlId")
  .header("Authorization", "Bearer <token>")
  .asString();
```